<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.segment (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.segment (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/scoring/webgraph/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/apache/nutch/service/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/segment/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.nutch.segment</h1>
<div class="docSummary">
<div class="block">A segment stores all data from on generate/fetch/update cycle:
 fetch list, protocol status, raw content, parsed content, and extracted outgoing links.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentMergeFilter.html" title="interface in org.apache.nutch.segment">SegmentMergeFilter</a></td>
<td class="colLast">
<div class="block">Interface used to filter segments during segment merge.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/ContentAsTextInputFormat.html" title="class in org.apache.nutch.segment">ContentAsTextInputFormat</a></td>
<td class="colLast">
<div class="block">An input format that takes Nutch Content objects and converts them to text
 while converting newline endings to spaces.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentChecker.html" title="class in org.apache.nutch.segment">SegmentChecker</a></td>
<td class="colLast">
<div class="block">Checks whether a segment is valid, or has a certain status (generated,
 fetched, parsed), or can be used safely for a certain processing step
 (e.g., indexing).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentMergeFilters.html" title="class in org.apache.nutch.segment">SegmentMergeFilters</a></td>
<td class="colLast">
<div class="block">This class wraps all <a href="../../../../org/apache/nutch/segment/SegmentMergeFilter.html" title="interface in org.apache.nutch.segment"><code>SegmentMergeFilter</code></a> extensions in a single object
 so it is easier to operate on them.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentMerger.html" title="class in org.apache.nutch.segment">SegmentMerger</a></td>
<td class="colLast">
<div class="block">This tool takes several segments and merges their data together.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentMerger.ObjectInputFormat.html" title="class in org.apache.nutch.segment">SegmentMerger.ObjectInputFormat</a></td>
<td class="colLast">
<div class="block">Wraps inputs in an <a href="../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata"><code>MetaWrapper</code></a>, to permit merging different types
 in reduce and use additional metadata.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentMerger.SegmentMergerMapper.html" title="class in org.apache.nutch.segment">SegmentMerger.SegmentMergerMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentMerger.SegmentMergerReducer.html" title="class in org.apache.nutch.segment">SegmentMerger.SegmentMergerReducer</a></td>
<td class="colLast">
<div class="block">NOTE: in selecting the latest version we rely exclusively on the segment
 name (not all segment data contain time information).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentMerger.SegmentOutputFormat.html" title="class in org.apache.nutch.segment">SegmentMerger.SegmentOutputFormat</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentPart.html" title="class in org.apache.nutch.segment">SegmentPart</a></td>
<td class="colLast">
<div class="block">Utility class for handling information about segment parts.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentReader.html" title="class in org.apache.nutch.segment">SegmentReader</a></td>
<td class="colLast">
<div class="block">Dump the content of a segment.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentReader.InputCompatMapper.html" title="class in org.apache.nutch.segment">SegmentReader.InputCompatMapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentReader.InputCompatReducer.html" title="class in org.apache.nutch.segment">SegmentReader.InputCompatReducer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentReader.SegmentReaderStats.html" title="class in org.apache.nutch.segment">SegmentReader.SegmentReaderStats</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/apache/nutch/segment/SegmentReader.TextOutputFormat.html" title="class in org.apache.nutch.segment">SegmentReader.TextOutputFormat</a></td>
<td class="colLast">
<div class="block">Implements a text output format</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.nutch.segment Description">Package org.apache.nutch.segment Description</h2>
<div class="block">A segment stores all data from on generate/fetch/update cycle:
 fetch list, protocol status, raw content, parsed content, and extracted outgoing links.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/scoring/webgraph/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/apache/nutch/service/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/segment/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
